/*	    socxket_xx Calls In Terms Of netxxx calls		  socket_calls.c
**	    =========================================
**
**  ABSTRACT:
**
**      The Fermilab software usies calls socket_read, socket_write,
**	socket_write, socket_close to replace read, write and close when
**	using sockets. These calls are used in conjunction with the
**	SRI_multinet package.
**
**	The socket interface available wit the Wollongong package, however,
**	uses netread(), netwrite(), and netclose() for the same purpose.
**
**	This package provides the Wollongong calls where the SRI_multinet
**	calls are available.
**	
**  AUTHORS:
**
**	Tim Berners-Lee CERN/DD (TBL)
**
**  CREATION DATE:       7 Jan 89
**
**  MODIFICATION HISTORY:
**
*/

/*    Externals
*/
extern int socket_read(
    int	    s,
    char *  buf,
    int	buflen);

extern int socket_write(
    int	    s,
    char *  buf,
    int	buflen);

extern int socket_close(int s);


/*	Socket Calls
*/

int netread(
    int	    s,
    char *  buf,
    int	buflen)
{
    return socket_read(s, buf, buflen);
}
int netwrite(
    int	    s,
    char *  buf,
    int	buflen)
{
    return socket_write(s, buf, buflen);
}

int netclose(int s)
{
    return socket_close(s);
}
